{
    name: "Defend Energy",
    spritenum: -615,
    fling: {
    	basePower: 90
    },
    onModifyDefPriority: 1,
    onModifyDef(def, pokemon) {
    	if (pokemon.baseSpecies.baseSpecies === 'Typecast') {
    		return this.chainModify(1.5);
    	}
    },
    onModifySpAPriority: 1,
    onModifySpA(spa, pokemon) {
    	if (pokemon.baseSpecies.baseSpecies === 'Typecast') {
    		return this.chainModify(0.75);
    	}
    },
    onModifySpePriority: 1,
    onModifySpe(spe, pokemon) {
    	if (pokemon.baseSpecies.baseSpecies === 'Typecast') {
    		return this.chainModify(0.75);
    	}
    },
    itemUser: ["Typecast","Typecast-Normal","Typecast-Fire","Typecast-Water","Typecast-Grass","Typecast-Electric","Typecast-Ice","Typecast-Psychic","Typecast-Dark","Typecast-Ghost","Typecast-Fairy","Typecast-Fighting","Typecast-Flying","Typecast-Bug","Typecast-Rock","Typecast-Ground","Typecast-Steel","Typecast-Poison","Typecast-Dragon"],
    num: -709,
    gen: 9,
}